//---------------------------------------------------------------------------------------------------------------------
/**
 * sample2用Javascript
 *
 * @package  LabbitBox1.0
 * @author   neobaba
 * @since    2010/9/4
*/ 
//---------------------------------------------------------------------------------------------------------------------
function b1_click(e){
    ele = e.srcElement || e.target;
    alert('汎用イベント id:' + ele.id);

    wModify = {'CONFIG':{'LB_ID':'A9999', 'MODE':'REPLACE'}, 'DATA':{'CSS':{'#abc':{'background-color':'red', 'color':'blue'}}, 'JS':["function abc(){alert('XXX');}", "function xyz(){alert('AAA');}"], 'JSFILE':['js/test.js'], 'CSSFILE':['css/test.css']}};
    labbitbox.modifyHeadTag(wModify);

    $('t1').value   = '汎用イベント';
    return false;
}

function TEST_BTN_click(e){
    ele = e.srcElement || e.target;
    alert('動的追加ボタン id:' + ele.id);
    return false;
}

function b2_click_beforeRequest(e, params){
    ele = e.srcElement || e.target;
    alert('beforeParamSet:' + ele.id);
    return true;
    params.each(function(param){
        alert(param.key + ':' + param.value);
    });
}

function MySelectHandler(elementID, value){
    alert('ReplaceSelect:' + elementID + ':' + value);
}

function GRID1_click(e){

    dynamicLoad();

    ele = e.srcElement || e.target;
    alert('汎用イベント id:' + ele.id + '(' + ele.tagName + ')=' + ele.value);
    return false;
}

function aaa(e){
    alert('bbb:' + $('t2').id);
}
